### Method

# Clutter Color subtract

#### Declaration [src]

    void
    clutter_color_subtract (
      const ClutterColor* a,
      const ClutterColor* b,
      ClutterColor* result
    )

#### Description [src]

Subtracts `b` from `a` and saves the resulting color inside `result`.

This function assumes that the components of `a` are greater than the components of `b`; the result is, otherwise, undefined.

The alpha channel of `result` is set as the minimum value between the alpha channels of `a` and `b`.

#### Parameters

`b`

  Type: `ClutterColor`

  A `ClutterColor`.

  The data is owned by the caller of the method.

`result`

  Type: `ClutterColor`

  Return location for the result.

  The argument will be set by the function.
  The data is owned by the instance.